function z=D_exp(P,D_param)
% This function computes the demand D as a function of the price P (decreasing exponential), with parameters given by D_param
% INPUTS: 
%	P: (vector of) the price
%	D_param: structure containing parameters
%		D_param.D0: constant in front of the exponential
%		D_param.alpha: exponential rate of decreasing of P (positive)
% OUTPUT: 
%	z: (vector of) the demand [normalized] z=D0*exp(-alpha*P)
%
z=(D_param.D0)*exp(-(D_param.alpha)*P);
