function z=R_cst(P,R_param)
% This function computes the (constant) proportion R(P) of newborn females that are put in the reproducting line at time t given the current price is P=P(t), with parameters given by R_param
% INPUTS: 
%	P: (vector of) price(s) [normalized]
%	R_param: structure containing parameters
%		R_param.R0: constant value of R (between 0 and 1)
% OUTPUT: 
%	z: (vector of) the R(P)=R0
%
z=(R_param.R0)*ones(size(P));
