function r_vect=autocor(Y,tau_max)
%%% autocorrelation function of a time series Y, for matlab
%%% INPUT:
%%% 	Y: time series (vector of size n)
%%%	tau_max: maximal value of tau to be considered (integer between 1 and n-1)
%%%
%%% OUTPUT:
%%%	r_vect: vector (of size 1+tau_max) of the (empirical) correlation between Y and Y(.-j) for j=0..tau_max

n=numel(Y);
M=conv(Y-mean(Y),Y(end:-1:1)-mean(Y),'full');
N=M(n:end)./(n:-1:1);
r_vect=N(1:tau_max+1)/N(1);

