function z=rho_step(t,rho_param)
% This function computes the (piecewise constant) seasonality factor rho as a function of time (t), with parameters given by rho_param
% INPUTS: 
%	t: (vector of) time [what counts is only its value modulo 1]
%	rho_param: structure containing parameters
%		rho_param.rho_min = minimal value of rho over time (non-negative number)
%		rho_param.rho_summer = length of the reproduction period (=summer) (number between 0 and 1)
%
% OUTPUT: 
%	z: (vector of) the seasonality factor rho(t)=rho_min + ((1-rho_min)/rho_summer)*1_{0< mod(t,1) \leq rho_summer}
%
%t_summer=zeros(size(t));
%t_summer(mod(t,1)<rho_param.rho_summer)=1;

z=rho_param.rho_min+((1-rho_param.rho_min)/(rho_param.rho_summer))*(mod(t,1)<= rho_param.rho_summer & mod(t,1)>0);
