%%% function []=run_modelBY(options,param)
%%% Assumes 'options' and 'param' have been properly filled (e.g., via one_expe_modelBY.m)
%%% Draw random initial conditions
%%% Computes a trajectory according to model BY
%%% Saves the results into two .mat files
%%% -> does not visualize anything

%%%%%%%%%%%%%%%% Random initial condition


%%% A0 -> kA0
kA0=max(1,round(options.nb_steps*param.A0));
%%% A1 -> kA1 (with '-1' because animals die exactly at age A1, not at age A1+time_step)
kA1=max(kA0,round(options.nb_steps*param.A1)-1);
%%% Omega0 -> kOmega0
kOmega0=round(options.nb_steps*param.Omega0);
%%% Omega1 -> kOmega1 (with '-1' as for A1)
kOmega1=max(kOmega0,round(options.nb_steps*param.Omega1)-1);
size_init_theory=max(kA1,kOmega1);

%		init.t: vector of time positions (in years, important for the seasonality factor)
%				t means 'the interval (t-time_step,t]'

init.t=(-(size_init_theory-1):0)/(options.nb_steps);
%%options.Tmin=min(init.t);

%				=> each value intends to be an average value over each interval [t,t+time_step)
%	!!!IMPORTANT!!! these 4 vectors must have the same length, equal to (options.nb_steps)*max(param.A1,param.Omega1)


%		init.S: vector of the supply [normalized]
init.S=2*rand(1,size_init_theory);
%		init.Nr: vector of the (reproducing female) population [normalized]
init.Nr=2*rand(1,size_init_theory);
%		init.Br: vector of the newborns going into the reproducing line [normalized]
init.Br=(2/(kA1-kA0+1))*rand(1,size_init_theory);
%		init.Bb: vector of the newborns going into the butchery line [normalized]
init.Bb=(2/(kA1-kA0+1))*rand(1,size_init_theory);
%		init.P: vector of the prices [normalized]
init.P=ones(1,size_init_theory);




%%%% Run modelBY.m

modelBY;


%%%%%%%%%%% Save the results
try
%%% for octave
    save('-mat-binary',[tmp_file_name '_init_param_options.mat'],'init','param','options');
    save([tmp_file_name '_init_param_options__octave.mat'],'init','param','options');
    save('-mat-binary',[tmp_file_name '_output.mat'],'output');
    save('-mat-binary',[tmp_file_name '_output_int.mat'],'output_int');
catch
%%% for matlab
    save([tmp_file_name '_init_param_options.mat'],'init','param','options');
    save([tmp_file_name '_output.mat'],'output');
    save([tmp_file_name '_output_int.mat'],'output_int');
end

